import React from 'react';
import { connect } from 'umi';
import DeviceMobileComponent from '../../../mobile/common/CommobileList';

function DeviceMobile({
  dispatch, app, content, sModelsId,
}) {
  function removePane(changePanes, currentPane) {
    dispatch({ type: 'app/removePane', payload: { changePanes, currentPane } });
  }

  const DeviceMobile = {
    sModelsId,
    app,
    content,
    dispatch,
    onRemovePane: removePane,
  };

  return (
    <DeviceMobileComponent {...DeviceMobile} />
  );
}

export default connect(({ app, content }) =>
  ({ app, content }))(DeviceMobile);
